PHP 5.5.15 is released

Constantes pré-définies

Ces constantes sont définies par cette extension, et ne sont disponibles que si cette extension a été compilée avec PHP, ou bien chargée au moment de l'exécution.

YAF_VERSION (chaîne de caractères)
YAF_ENVIRON (chaîne de caractères)
YAF_ERR_STARTUP_FAILED (entier)
YAF_ERR_ROUTE_FAILED (entier)
YAF_ERR_DISPATCH_FAILED (entier)
YAF_ERR_AUTOLOAD_FAILED (entier)
YAF_ERR_NOTFOUND_MODULE (entier)
YAF_ERR_NOTFOUND_CONTROLLER (entier)
YAF_ERR_NOTFOUND_ACTION (entier)
YAF_ERR_NOTFOUND_VIEW (entier)
YAF_ERR_CALL_FAILED (entier)
YAF_ERR_TYPE_ERROR (entier)

add a note add a note

User Contributed Notes 1 note

up
0
lee dot howarth dot 90 at gmail dot com
3 months ago
The documentation here is not fully correct.

<?php

    print_r
(get_defined_constants());
   die;

?>

Will show basically:

  [PHP_YAF_VERSION] => 2.3.2
    [YAF_ENVIRON] => product
    [YAF_ERR_STARTUP_FAILED] => 512
    [YAF_ERR_ROUTE_FAILED] => 513
    [YAF_ERR_DISPATCH_FAILED] => 514
    [YAF_ERR_AUTOLOAD_FAILED] => 520
    [YAF_ERR_NOTFOUND_MODULE] => 515
    [YAF_ERR_NOTFOUND_CONTROLLER] => 516
    [YAF_ERR_NOTFOUND_ACTION] => 517
    [YAF_ERR_NOTFOUND_VIEW] => 518
    [YAF_ERR_CALL_FAILED] => 519
    [YAF_ERR_TYPE_ERROR] => 521

So use PHP_YAF_VERSION instead of just YAF_VERSION
To Top